Bug 847290 - http-gateway returns invalid empty WSDL document.
Summary: http-gateway returns invalid empty WSDL document.
Status: NEW
Alias: None
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB   
(Show other bugs)
Version: 5.3.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 5.3.0 GA
Assignee: kconner
QA Contact: Matej Melko
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-10 13:03 UTC by Marek Baluch
Modified: 2018-03-29 21:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The HTTP gateway would return an invalid, empty WSDL document in certain circumstances. It was invalid because it was not in the correct namespace. Furthermore, the http-gateway should not return a WSDL document by default since it may be used with more than just SOAP.
Story Points: ---
Clone Of:
Environment:
SOA-P 5.3.0.GA
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3840 Major Open http-gateway returns invalid empty WSDL document. 2015-07-08 17:26:35 UTC

Description Marek Baluch 2012-08-10 13:03:27 UTC
Description of problem:

See external JIRA issue.


Steps to Reproduce:
1. deploy the http_gateway quickstart
2. access http://localhost:8080/Quickstart_http_gateway/http/sales?wsdl URL in your browser.


Note You need to log in before you can comment on or make changes to this bug.